%global gem_name cloudservers

Summary: A Ruby API to version 1.0 of the Rackspace Cloud Servers product
Name: rubygem-%{gem_name}
Version: 0.4.2
Release: 5%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/rackspace/ruby-cloudservers
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(rubygems)
Requires: ruby(release)
Requires: rubygem(mime-types)
Requires: rubygem(json)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(mime-types)
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(json)
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%description
A Ruby API to version 1.0 of the Rackspace Cloud Servers product.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
%gem_install -n %{SOURCE0} -d %{buildroot}%{gem_dir}
find %{buildroot}/%{gem_instdir} -type f -perm /g+wx -exec chmod -v g-w {} \;
rm -f %{buildroot}/%{gem_instdir}/.gitignore
rm -f %{buildroot}/%{gem_instdir}/Manifest
rm -f %{buildroot}/%{gem_instdir}/cloudservers.gemspec
cd %{buildroot}/%{gem_instdir}/


%check
pushd %{buildroot}%{gem_instdir}
testrb test/*_test.rb
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/VERSION
%doc %{gem_instdir}/TODO


%files doc
%defattr(-, root, root, -)
%{gem_instdir}/test
%{gem_instdir}/Rakefile
%{gem_docdir}

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 21 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.2-4
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Major Hayden <major@mhtx.net> - 0.4.2-1
- New upstream version 0.4.2.

* Mon Feb 06 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.1-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 8 2011 Major Hayden <major@mhtx.net> - 0.4.1-2
- License/summary correction

* Mon Mar 14 2011 Major Hayden <major@mhtx.net> - 0.4.1-1
- Initial package
